Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Formatter::Session

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Formatter::Session

- NAME
- VERSION
- METHODS
  - Class Methods

# NAME

TAP::Formatter::Session - Abstract base class for harness output delegate

# VERSION

Version 3.23

# METHODS

## Class Methods

### `new`

     my %args = (    formatter => $self, ) my $harness = TAP::Formatter::Console::Session->new( \%args );

The constructor returns a new `TAP::Formatter::Console::Session` object.

- `formatter`
- `parser`
- `name`
- `show_count`

### `header`

Output test preamble

### `result`

Called by the harness for each line of TAP it receives.

### `close_test`

Called to close a test session.

### `clear_for_close`

Called by `close_test` to clear the line showing test progress, or the parallel test ruler, prior to printing the final test result.

Page index

- NAME
- VERSION
- METHODS
  - Class Methods